unbound: Data Fields - Variables

unbound 0.1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - m -

- magic : ub_event, ub_event_base
- magic_query : nonce_cache_key
- markdelfunc : lruhash
- marked_time : doq_server_socket
- mask : slabhash
- master : auth_transfer
- masters : auth_probe, auth_transfer, config_auth
- match : replay_moment, replay_range
- match_all : entry
- match_all_noedns : entry
- match_answer : entry
- match_client_cookie : entry
- match_co : entry
- match_do : entry
- match_ede : entry
- match_ede_any : entry
- match_ednsdata_raw : entry
- match_noedns : entry
- match_opcode : entry
- match_qname : entry
- match_qtype : entry
- match_question : entry
- match_rcode : entry
- match_serial : entry
- match_server_cookie : entry
- match_subdomain : entry
- match_transport : entry
- match_ttl : entry
- max : val_neg_cache
- max_active : daemon_remote
- max_collisions : lruhash
- max_dependency_depth : fast_reload_construct, iter_env
- max_depth : addrtree
- max_forever_states : mesh_area
- max_global_quota : config_file
- max_negative_ttl : config_file
- max_node_count : addrtree
- max_query_list_size : ub_server_stats
- max_query_restarts : config_file, iter_env
- max_query_time_us : ub_server_stats
- max_reg_blocks : alloc_cache
- max_reply_states : mesh_area
- max_restart : val_env
- max_reuse_tcp_queries : config_file, outside_network
- max_scope : subnet_qstate
- max_sent_count : config_file, iter_env
- max_tcp_count : comm_point
- max_ttl : config_file
- max_udp_size : comm_reply
- maxfd : perfinfo
- maxout : port_if
- maxsize : dt_msg_queue
- mem_http2_query_buffer : ub_server_stats
- mem_http2_response_buffer : ub_server_stats
- mem_quic : ub_server_stats
- mem_stream_wait : ub_server_stats
- mesh : http2_stream, module_env, tcp_req_open_item
- mesh_dropped : ub_stats_info
- mesh_info : module_qstate
- mesh_jostled : ub_stats_info
- mesh_num_reply_addrs : ub_stats_info
- mesh_num_reply_states : ub_stats_info
- mesh_num_states : ub_stats_info
- mesh_replies_sent : ub_stats_info
- mesh_replies_sum_wait_sec : ub_stats_info
- mesh_state : http2_stream, tcp_req_open_item
- mesh_time_median : ub_stats_info
- mesh_wait : rate_data
- min_negative_ttl : config_file
- min_ttl : config_file
- minfo : module_qstate
- minimisation_state : iter_qstate
- minimise_count : iter_qstate
- mod : module_stack
- modinfo : module_env
- mods : daemon, mesh_area, ub_ctx
- mods_inited : daemon
- modstack : module_env
- module : pythonmod_env
- module_conf : config_file
- mom_first : replay_scenario
- mom_last : replay_scenario
- mom_next : replay_moment
- msg : ctx_query
- msg_buffer_size : config_file
- msg_cache : module_env
- msg_cache_count : ub_server_stats
- msg_cache_max_collisions : ub_server_stats
- msg_cache_size : config_file
- msg_cache_slabs : config_file
- msg_len : ctx_query
- msg_security : ctx_query
- msg_signatures_index : val_qstate
- msg_signatures_state : val_qstate
- msgcount : dt_msg_queue
- mtime_ssl_service_key : daemon, fast_reload_construct
- mtime_ssl_service_pem : daemon, fast_reload_construct